/ ruby

Install Ruby 1.9.2(Solved error : Error running 'make '")

When you try to install ruby 1.9.2 by "rvm install 1.9.2", get the suck error "Error running 'make '". Just like this discussion.

Sovled this. You can try a solution on this discussion

curl -O ftp://ftp.gnu.org/gnu/readline/readline-6.1.tar.gz
tar xzvf readline-6.1.tar.gz
cd readline-6.1
./configure --prefix=/usr/local
make
sudo make install
cd ..
Remove the ruby: rvm remove 1.9.2

Install it again: rvm install 1.9.2

(You might need to add source it if local path is not in your directory: rvm install 1.9.1 -C --with-readline-dir=/usr/local/

Or reference from official site to install 'readline'.
rvm pkg install readline
rvm remove 1.9.2
rvm install 1.9.2 --with-readline-dir=$rvm_path/usr

rvm_path

Got this line "Installing readline to /Users/hothero/.rvm/usr", when complete the readline installation. And you get the path!!

By the way, the guide of that installing rails 3